Subject: Re: [PATCH] topgit tg push feature

From: Marc Weber <[email-masked]>
Date: Tue, 12 May 2009 09:54:13 +0200

> hhhm, this hunk is new and unused.  Intended?
> 
> If it's OK for you I fix these up when commiting.  I will break out the
> change to tg.sh as shown yesterday in irc.

thank you x-times :-)
Sure that's fine with me. I already told you.

>That was my intention my asking for the -r option. The -r option is to
>'tg' not a tg-command. And it's still not addressed.
Bert: You're wrong:

tg.sh contains:

  base_remote="$(git config topgit.remote 2>/dev/null)" || :

  [...]

  if [ "$1" = "-r" ]; then
          shift
          if [ -z "$1" ]; then
                  echo "Option -r requires an argument." >&2
                  do_help
                  exit 1
          fi
          base_remote="$1"; shift
          tg="$tg -r $base_remote"
  fi

So base_remote is set by config first and then overwritten by the first
-r flag. my remotes is initialised with that -r flag.

Boy However its wrong again now:

If you use tg push -r foo it will push to poth: the config value and
foo. So probably its best to remove the second -r altogether and replace
my remotes by base_remote. You still can use the undocumented -r "remote
remote2" feature.

Marc Weber